import json

from client import HDFSClient

from util import convert_util

hdfs_client = HDFSClient.HDFSClient("192.168.141.208", "9870")

if __name__ == '__main__':
    live_nodes = hdfs_client.get_data_node_info()
    for node in live_nodes:
        info = live_nodes[node]
        capacity = info['capacity']
        used = info['used']
        print(
            f"节点: {node}, "
            f"容量: {convert_util.byte_convert(capacity)}, "
            f"已使用: {convert_util.byte_convert(used)}, "
            f"使用率: {used / capacity}"
        )
